
/* Chrysalide - Outil d'analyse de fichiers binaires
 * global.c - conservation et accès aux variables globales
 *
 * Copyright (C) 2017 Cyrille Bagard
 *
 *  This file is part of Chrysalide.
 *
 *  Chrysalide is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Chrysalide is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
 */


#include "global.h"


#include <assert.h>



/* Gestionnaire de tâches parallèles */
static GWorkQueue *_queue = NULL;



/******************************************************************************
*                                                                             *
*  Paramètres  : queue = nouveau gestionnaire à mémoriser ou NULL.            *
*                                                                             *
*  Description : Définit le gestionnaire de traitements parallèles courant.   *
*                                                                             *
*  Retour      : -                                                            *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

void set_work_queue(GWorkQueue *queue)
{
    assert(_queue == NULL);

    _queue = queue;

}


/******************************************************************************
*                                                                             *
*  Paramètres  : -                                                            *
*                                                                             *
*  Description : Fournit le gestionnaire de traitements parallèles courant.   *
*                                                                             *
*  Retour      : Gestionnaire de traitements parallèles courant.              *
*                                                                             *
*  Remarques   : -                                                            *
*                                                                             *
******************************************************************************/

GWorkQueue *get_work_queue(void)
{
    return _queue;

}
